﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication_Samples
{
    public partial class Sample2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                wfMap.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                wfMap.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/MapData/World/Countries02.shp"));
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(new GeoPen(GeoColor.FromArgb(80, 181, 202, 185), 1F), new GeoSolidBrush(GeoColor.FromArgb(255, 255, 255, 255)));
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay overlay1 = new LayerOverlay("WorldOverlay");
                overlay1.Layers.Add("WorldLayer", worldLayer);
                wfMap.CustomOverlays.Add(overlay1);


                InMemoryFeatureLayer layer = new InMemoryFeatureLayer();
                layer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.Capital1;
                layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                layer.InternalFeatures.Add(new Feature(new PointShape(10, 10)));
                wfMap.StaticOverlay.Layers.Add("PointLayer", layer);

                LayerOverlay overlay2 = new LayerOverlay("PointOverlay");
                overlay2.Layers.Add("PointLayer", layer);
                wfMap.CustomOverlays.Add(overlay2);

                worldLayer.Open();
                wfMap.CurrentExtent = worldLayer.GetBoundingBox();
                worldLayer.Close();
            }
        }

        protected void ChangeBgColor(object sender, EventArgs e)
        {
            wfMap.CustomOverlays["PointOverlay"].IsVisible = false;
            LayerOverlay lo = (LayerOverlay)wfMap.CustomOverlays["PointOverlay"];
            lo.Redraw();
        }
    }
}